

## What is Trinity-Neo?
Trinity-Neo is an open-source, low-code machine learning library in Python that automates machine learning workflows. It is an end-to-end machine learning and model management tool that speeds up the experiment cycle exponentially and makes you more productive.

In comparison with the other open-source machine learning libraries, Trinity-Neo is an alternate low-code library that can be used to replace hundreds of lines of code with few words only. This makes experiments exponentially fast and efficient. Trinity is essentially a Python wrapper around several machine learning libraries and frameworks such as scikit-learn, pycaret, nltk, XGBoost, LightGBM, CatBoost, spaCy, Optuna, Hyperopt, Ray, and many more. 


## Guide to Install and usage of Trinity-Neo library

- Click the Link: https://matrix-neo.gitbook.io/trinity/


## Current Release
Trinity-Neo `1.0` is now available. The easiest way to install Trinity-Neo is using pip. 

```python
pip install trinity-neo
      (or)
pip install trinity-neo==1.0
```


## Who should use Trinity-Neo?
Trinity-Neo is an open source library that anybody can use. In our view the ideal target audience of Trinity-Neo is: <br />

- Data Science Students and Data Science Enthusiasts.
- ML Engineers, Data Scientist and Data Science Professionals who wants to build rapid prototypes.


## License

Copyright 2024-2025 S Satish Kumar  <sathishsriram999@gmail.com>

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
© 2024 GitHub, Inc.